Package org.apache.lucene.analysis.compound.hyphenation

## Class Hyphen

- java.lang.Object
- - org.apache.lucene.analysis.compound.hyphenation.Hyphen

-     public class Hyphen
      extends Object

  This class represents a hyphen. A 'full' hyphen is made of 3 parts: the pre-break text, post-break text and no-break. If no line-break is generated at this position, the no-break text is used, otherwise, pre-break and post-break are used. Typically, pre-break is equal to the hyphen character and the others are empty. However, this general scheme allows support for cases in some languages where words change spelling if they're split across lines, like german's 'backen' which hyphenates 'bak-ken'. BTW, this comes from TeX.

  This class has been taken from the Apache FOP project (http://xmlgraphics.apache.org/fop/). They have been slightly modified.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `String` | `noBreak` |
    `String` | `postBreak` |
    `String` | `preBreak` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### preBreak

          public String preBreak

    - #### noBreak

          public String noBreak

    - #### postBreak

          public String postBreak

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`